/*
   config.h - general configuration
   --------------------------------

   Copyright (C) 2003 by Michal Zalewski <lcamtuf@coredump.cx>

 */

#ifndef _HAVE_CONFIG_H
#define _HAVE_CONFIG_H

// Key size - keep a multiple of 8.
#define KEYSIZE		(1<<14)

// Min/max password length
#define MIN_PASS	10
#define MAX_PASS	256

// Minimum file size (bytes)
#define MIN_SIZE	128

// Add up to that much random padding.
#define RANDOM_PAD	4096

// urandom is fine, we don't need highest quality entropy.
#define RND_SOURCE	"/dev/urandom"

// Keep different from each other.
#define CFILE1_ID	0xCAFEFACE
#define CFILE2_ID	0xDEADBEEF
#define CSTREAM_ID	0xDEFACED

#define BLOCK_ID	0xA0

#endif /* ! _HAVE_CONFIG_H */
