/*
   lzf.h - fast compression and decompression
   ------------------------------------------

   Copyright (C) 2003 by Michal Zalewski <lcamtuf@coredump.cx>

 */

#ifndef _HAVE_LZF_H
#define _HAVE_LZF_H

#include "types.h"

#define HLOG         14
#define CMP_BLK      ( 1 << 14 )

#define BLOAT_BLK    ( CMP_BLK * 2)  // Worst-case output
#define MIN_BLK      ( 128 )	     // Minimum reasonable input block

struct secthdr {
  _u8  type;
  _u16 len;
} __attribute__((packed));

_u32 unlzf (const _u8* in, _u32 ilen, _u8* out, _u32 olen);
_u32 lzf   (const _u8* in, _u32 ilen, _u8* out, _u32 olen);

#define MAX_LIT        (1 <<  5)
#define MAX_OFF        (1 << 13)
#define MAX_REF        ((1 <<  8) + (1 << 3))
#define IDX(h)         ((((h^(h<<5)) >> (3*8-HLOG))+h*3) & ((1<<HLOG)-1))

#endif /* ! _HAVE_LZF_H */


